Tag

openjdk:26-ea-31
Content Digest: sha256:4ff5d58a9d0f8f60fc5e47533014e3aa8148e3ba45130bcf42726e7213ec2a09
Manifests
Details
Content Digest

sha256:a7c0506400ce5698088153ba874b4cf5fa7f4ba26c2f7aeb0385cab9de1fc0dc

Created

2026-01-23 09:05:56 CST

Size

299 MB


Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+31

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:16506d4b4233ebc21b62f7593851ebfe31dec192fdb790c8c857eca6260f7a57 - 15.09% (45.1 MB)

[#001] sha256:7567ec5ead2f2a3d46652fe66e8c9ff777d9df550b7f827115b76680ca7b1f26 - 12.22% (36.5 MB)

[#002] sha256:f54b9f1b2da02e4e9f5aec977f4ae8378495225cadc13fac8b8c5cd8b54b98f6 - 72.69% (217 MB)


History
2026-01-23 08:58:01 CST (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-amd64-rootfs.tar.xz / # buildkit

2026-01-23 08:58:01 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-01-23 09:05:44 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+31

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_linux-x64_bin.tar.gz'; downloadSha256='bfc006ca65cf590a40d808e5dc5cc973b98e11e309d0efa5dc36340c8b3ffdbb'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_linux-aarch64_bin.tar.gz'; downloadSha256='3b9511be1b72db3be1c49c25cbecda90f37642003c9844f7d363455ad702ff7b'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-01-23 09:05:56 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Details
Content Digest

sha256:65204a8b19e20457d1ddee04404073cb692931d100e60d5e084678dc23e1b26e

Created

2026-01-21 02:51:08 CST

Size

1.6 GB


Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

729237a33f3f431285ea2d0a8ec5668440acc285e6f484be1c7c17b26ccec761

JAVA_URL

https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_windows-x64_bin.zip

JAVA_VERSION

26-ea+31


Layers

[#000] sha256:e8e286c160e014cebd84213d5cfa83952f5927713def450860146ee76600ee3f - 86.91% (1.39 GB)

[#001] sha256:7ea386d3f231cd51d65f90cee89c9ac8d16f1a31939e14e985fa6a726457dbcd - 0.0% (1.29 KB)

[#002] sha256:5adc18c3e4b56bd0ce5625ed042a3a8dffa7980ecf1d809ad3df6db462a708b6 - 0.03% (490 KB)

[#003] sha256:de92f5a3063c5cb293480b09697bd0db435fe1a8a57e70bf20681dde91b30268 - 0.0% (1.3 KB)

[#004] sha256:265c9bc1893bac919700fd36e2701bdc138c6fd1dbf0da3430984aba4ae0a860 - 0.02% (389 KB)

[#005] sha256:3e614afd727846af505bc9b3ae096e915de2e6cb07ec2040372e6fe9cf9ea82b - 0.0% (1.29 KB)

[#006] sha256:08a9c630391b95637698a76a0b179ddcbd3c8b3e0d4f07eea2a4fbd0eae38e26 - 0.0% (1.28 KB)

[#007] sha256:5b82e1c4e22f87360371b81ed6d8df3bcf2830d95cf30a1d00ace75b15291bab - 0.0% (1.29 KB)

[#008] sha256:d3e4b73034748bd1ec1c33aeb210f02d6a6fd166a26376e53740c9d55c5ad55d - 13.03% (214 MB)

[#009] sha256:41f664962111eaea8530176b74ff3457b3a8e7b8579c1c3b50cad64a8a6a8b54 - 0.0% (1.29 KB)


History
2026-01-11 14:35:44 CST

Apply image 10.0.26100.32230

2026-01-21 02:49:32 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-01-21 02:50:30 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-01-21 02:50:31 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2026-01-21 02:50:37 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-01-21 02:50:38 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+31

2026-01-21 02:50:38 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_windows-x64_bin.zip

2026-01-21 02:50:40 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=729237a33f3f431285ea2d0a8ec5668440acc285e6f484be1c7c17b26ccec761

2026-01-21 02:51:06 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-01-21 02:51:08 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:e660f6e6eef38aa391ea8c727cb06a84bc179406f51f0819c2bc69f642e1f918

Created

2026-01-21 02:51:53 CST

Size

1.92 GB


Environment
JAVA_HOME

C:\openjdk-26

JAVA_SHA256

729237a33f3f431285ea2d0a8ec5668440acc285e6f484be1c7c17b26ccec761

JAVA_URL

https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_windows-x64_bin.zip

JAVA_VERSION

26-ea+31


Layers

[#000] sha256:3cc21a1b754848d23f00aa65cb94ec34c9a5dc6028b3aada42039c824738d02f - 72.26% (1.39 GB)

[#001] sha256:8810874280ba2ea58e95647ea717ead1a5fb07fea1d9160047d580e653fe9cbd - 16.82% (331 MB)

[#002] sha256:3380b620c58c596f1609e5dfd5ce2eb7bb472a207cd9fee48adb79d268f61ebb - 0.0% (1.31 KB)

[#003] sha256:6cdd76be044f19871712460cce44c0a30841d6d82ba5daff63fcf776456fa047 - 0.02% (480 KB)

[#004] sha256:6c3ceaf24cc236921faa6f5f624de38ca2c792fc9cc91fbc99d78f24051df1c2 - 0.0% (1.3 KB)

[#005] sha256:27683916210a6564d9ee9481fa88cbe40087242053fec9887a44f9dabb59ac74 - 0.02% (328 KB)

[#006] sha256:ce40c409d8822ddf320b4553138be4933ffe1adef0db4c71eb81520130cf76e4 - 0.0% (1.3 KB)

[#007] sha256:c2f7ed04891cc3f7c9563502232568866c4ab0b71587f558b9e74f4871b9c98d - 0.0% (1.28 KB)

[#008] sha256:ec8e2805cd215b737f6ef76acab716ef23c2686524b91ae92387442b6959494c - 0.0% (1.26 KB)

[#009] sha256:447bc5c2b8767cf475adeb8d6fcf1ff33f62366c247acfc66821bb242133b249 - 10.88% (214 MB)

[#010] sha256:03abc903f6224acfca3d797e41a69bb7406c077299b9ee31cf4f24ed0c6b1391 - 0.0% (1.26 KB)


History
2025-10-09 15:51:18 CST

Apply image 10.0.20348.4294

2026-01-09 08:11:24 CST

Install update 10.0.20348.4648

2026-01-21 02:49:50 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2026-01-21 02:50:44 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host 'Enabling TLS 1.2 (https://githubengineering.com/crypto-removal-notice/) ...'; $tls12RegBase = 'HKLM:\\SYSTEM\CurrentControlSet\Control\SecurityProviders\SCHANNEL\Protocols\TLS 1.2'; if (Test-Path $tls12RegBase) { throw ('"{0}" already exists!' -f $tls12RegBase) }; New-Item -Path ('{0}/Client' -f $tls12RegBase) -Force; New-Item -Path ('{0}/Server' -f $tls12RegBase) -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Client' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'DisabledByDefault' -PropertyType DWORD -Value 0 -Force; New-ItemProperty -Path ('{0}/Server' -f $tls12RegBase) -Name 'Enabled' -PropertyType DWORD -Value 1 -Force; Write-Host 'Complete.'

2026-01-21 02:50:45 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_HOME=C:\openjdk-26

2026-01-21 02:50:52 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;{1}' -f $env:JAVA_HOME, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); setx /M PATH $newPath; Write-Host 'Complete.'

2026-01-21 02:50:53 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_VERSION=26-ea+31

2026-01-21 02:50:53 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_URL=https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_windows-x64_bin.zip

2026-01-21 02:50:55 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV JAVA_SHA256=729237a33f3f431285ea2d0a8ec5668440acc285e6f484be1c7c17b26ccec761

2026-01-21 02:51:52 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:JAVA_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:JAVA_URL -OutFile 'openjdk.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:JAVA_SHA256); if ((Get-FileHash openjdk.zip -Algorithm sha256).Hash -ne $env:JAVA_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; New-Item -ItemType Directory -Path C:\temp | Out-Null; Expand-Archive openjdk.zip -DestinationPath C:\temp; Move-Item -Path C:\temp\* -Destination $env:JAVA_HOME; Remove-Item C:\temp; Write-Host 'Removing ...'; Remove-Item openjdk.zip -Force; Write-Host 'Verifying install ...'; Write-Host ' javac --version'; javac --version; Write-Host ' java --version'; java --version; Write-Host 'Complete.'

2026-01-21 02:51:53 CST

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) CMD ["jshell"]

Details
Content Digest

sha256:bb94a23efdc56b7e45293b0117a1c16a381f3124a74b612eab9ebc85a1905647

Created

2026-01-23 09:03:07 CST

Size

296 MB


Environment
JAVA_HOME

/usr/java/openjdk-26

JAVA_VERSION

26-ea+31

LANG

C.UTF-8

PATH

/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:cb58e3477df4a511e30cc2dda04665dfc7b948e198e587c0ae4203a6cd829165 - 14.79% (43.8 MB)

[#001] sha256:10149318b0d3fb31545f370908584b5804c5ac797fe8224b0f91ee6dc712ac13 - 12.47% (36.9 MB)

[#002] sha256:d63b73fda125793a74fa17da84c0678c3d1c60fdffe943ff5789a6177c211511 - 72.74% (215 MB)


History
2026-01-23 08:57:45 CST (buildkit.dockerfile.v0)

ADD oraclelinux-9-slim-arm64v8-rootfs.tar.xz / # buildkit

2026-01-23 08:57:45 CST (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2026-01-23 09:02:56 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install gzip tar binutils freetype fontconfig ; microdnf clean all # buildkit

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

ENV JAVA_HOME=/usr/java/openjdk-26

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

ENV PATH=/usr/java/openjdk-26/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

ENV LANG=C.UTF-8

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

ENV JAVA_VERSION=26-ea+31

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(rpm --query --queryformat='%{ARCH}' rpm)"; case "$arch" in 'x86_64') downloadUrl='https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_linux-x64_bin.tar.gz'; downloadSha256='bfc006ca65cf590a40d808e5dc5cc973b98e11e309d0efa5dc36340c8b3ffdbb'; ;; 'aarch64') downloadUrl='https://download.java.net/java/early_access/jdk26/31/GPL/openjdk-26-ea+31_linux-aarch64_bin.tar.gz'; downloadSha256='3b9511be1b72db3be1c49c25cbecda90f37642003c9844f7d363455ad702ff7b'; ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o openjdk.tgz "$downloadUrl"; echo "$downloadSha256 *openjdk.tgz" | sha256sum --strict --check -; mkdir -p "$JAVA_HOME"; tar --extract --file openjdk.tgz --directory "$JAVA_HOME" --strip-components 1 --no-same-owner ; rm openjdk.tgz*; rm -rf "$JAVA_HOME/lib/security/cacerts"; ln -sT /etc/pki/ca-trust/extracted/java/cacerts "$JAVA_HOME/lib/security/cacerts"; ln -sfT "$JAVA_HOME" /usr/java/default; ln -sfT "$JAVA_HOME" /usr/java/latest; for bin in "$JAVA_HOME/bin/"*; do base="$(basename "$bin")"; [ ! -e "/usr/bin/$base" ]; alternatives --install "/usr/bin/$base" "$base" "$bin" 20000; done; java -Xshare:dump; fileEncoding="$(echo 'System.out.println(System.getProperty("file.encoding"))' | jshell -s -)"; [ "$fileEncoding" = 'UTF-8' ]; rm -rf ~/.java; javac --version; java --version # buildkit

2026-01-23 09:03:07 CST (buildkit.dockerfile.v0)

CMD ["jshell"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.